/*
 *  soapUI, copyright (C) 2004-2007 eviware.com 
 *
 *  soapUI is free software; you can redistribute it and/or modify it under the 
 *  terms of version 2.1 of the GNU Lesser General Public License as published by 
 *  the Free Software Foundation.
 *
 *  soapUI is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without 
 *  even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
 *  See the GNU Lesser General Public License for more details at gnu.org.
 */

package com.eviware.soapui.impl.wsdl.panels.request.components;

import com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlDocument;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.XmlEditor;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorFactory;
import com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorView;
import com.eviware.soapui.model.ModelItem;

/**
 * Base XmlEditor class for editing SOAP Messages
 *
 * @author ole.matzura
 */

public abstract class SoapMessageXmlEditor<T extends ModelItem> extends XmlEditor
{
	private final T modelItem;

	public SoapMessageXmlEditor( XmlDocument xmlDocument, T modelItem  )
	{
		super( xmlDocument );
		this.modelItem = modelItem;
	}

	public T getModelItem()
	{
		return modelItem;
	}

	public final XmlSourceEditorView getSourceEditor()
	{
		return ( XmlSourceEditorView ) getView( XmlSourceEditorFactory.VIEW_ID );
	}
}
